﻿Imports System.Collections.ObjectModel

Namespace ViewModel
    Public Class CarViewModel
        Inherits ViewModelBase

        Public Sub New()
            Me.New("Unknown", "Unknown", 0)
        End Sub

        Public Sub New(brand As String, modell As String, ps As Double)
            Me.New(brand, modell, ps, New List(Of EquipmentViewModel))
        End Sub
        Public Sub New(brand As String, modell As String, ps As Double, equipments As List(Of EquipmentViewModel))
            If equipments Is Nothing Then
                Throw New ArgumentNullException(NameOf(equipments))
            End If

            Me.Brand = brand : Me.Modell = modell : Me.PS = ps
            Me.Equipments = New ObservableCollection(Of EquipmentViewModel)(equipments)
        End Sub

        Dim _brand As String
        Public Property Brand As String
            Get
                Return _brand
            End Get
            Set
                _brand = Value
                RaisePropertyChanged()
            End Set
        End Property

        Dim _modell As String
        Public Property Modell As String
            Get
                Return _modell
            End Get
            Set
                _modell = Value
                RaisePropertyChanged()
            End Set
        End Property

        Dim _pS As Double
        Public Property PS As Double
            Get
                Return _pS
            End Get
            Set
                _pS = Value
                RaisePropertyChanged()
            End Set
        End Property

        Dim _equipments As ObservableCollection(Of EquipmentViewModel)
        Public Property Equipments As ObservableCollection(Of EquipmentViewModel)
            Get
                Return _equipments
            End Get
            Set
                _equipments = Value
                RaisePropertyChanged()
            End Set
        End Property
    End Class
End Namespace
